EDK 4.4.2.0 (Onslaught 1.0)

EDK releases + Open discussion and chat about EDK.
User avatar
Salvoxia
Developer
Posts: 1538
Joined: Wed Feb 22, 2012 12:11

Re: EDK 4.4.2.0 (Onslaught 1.0)

Post by Salvoxia » Wed Jan 23, 2019 20:41

Hi,

thank you very much for reporting and for the analysis!

I added this to the list of known issues in the opening post, along with a hotfix.
I'd appreciate feedback, if this resolves the issue for you

Best Regards,
Salvoxia

1450
Greenhorn
Posts: 16
Joined: Thu Jan 16, 2014 03:55

Re: EDK 4.4.2.0 (Onslaught 1.0)

Post by 1450 » Thu Jan 24, 2019 22:07

Thanks for the hotfix, resolves the issue :)

Maxx
Greenhorn
Posts: 14
Joined: Sat Jun 14, 2008 20:24

Re: EDK 4.4.2.0 (Onslaught 1.0)

Post by Maxx » Tue Feb 05, 2019 00:05

Hi,

getting a number of DEPRECATED errors after i had to upgrade my php version. My host charges $$$ for older php5 Versions so i had to upgrade to 7.x which breaks my 4.4.2.0 installation of the edk.

Its 3x the following reason:
DEPRECATED [8192] Methods with the same name as their class will not be constructors in a future version of PHP; fitting has a deprecated constructor
line 9 in /mods/ship_display_tool/fitting.class.php
line 2 in /mods/ship_display_tool/class.shipstats.php
line 2 in /mods/ship_display_tool/class.shipEffects.php
Output has already been sent to the browser at .../common/includes/class.edkerror.php:71. Please make sure the command $xajax->processRequest() is placed before this.
Any hint for a quick fix i could do myself?

Thanks in advance...

User avatar
Salvoxia
Developer
Posts: 1538
Joined: Wed Feb 22, 2012 12:11

Re: EDK 4.4.2.0 (Onslaught 1.0)

Post by Salvoxia » Tue Feb 12, 2019 22:55

Hi,

that actually is not a problem with EDK itself, but with the Ship Display Tool mod.
The second error you're getting is most likely cause by the first depreaction warnings.
Quick fix: In each of the listed files, in each of the listed lines, you will find something like

Code: Select all

function Fitting() {
for the fitting.class.php and similar named functions in the other files.
Replace

Code: Select all

Fitting()
with

Code: Select all

__consutrct()
in each of these files.


By the way, I checked that in the version of the mod that I'm maintaining, and there these changes are already included. So maybe you're using a really old version of that mod?

Best Regards,
Salvoxia

Post Reply

Return to “General Killboard Chat”

Who is online

Users browsing this forum: No registered users and 6 guests